<?php 
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Template Name: Blog template
 *
 *
 * @file           blog.php
 * @package        Ubuntu theme 
 * @author         Canonical Web Team 
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/blog.php
 * @since          available since Release 1.0
 */
get_header(); 

?>

<div class="row no-border">
	<h1>From across the world of Juju</h1>
</div>

<div class="row no-border">
	<div class="eight-col append-one">
		<?php $the_query = new WP_Query( 'cat=0' ); ?>
		<?php if ($the_query->have_posts()) : ?>
			<?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
				<h2><a href="<?php the_permalink( ); ?>"><?php the_title(); ?></a></h2>
				<p class="post-date"><?php if(the_author_meta('display_name')) ?> &mdash; <?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></p> 
				
				<p><?php echo wp_trim_words( get_the_content(), 50, '...' ); ?></p>

			<?php endwhile; // while have_posts ends ?>
		<?php endif; // if have_posts ends ?> 
	</div>
	<aside class="three-col last-col" >
		<h3>Archive</h3>
		<ul class="list">
		 <?php wp_get_archives('type=monthly&limit=12'); ?>
		</ul>
	</aside>
</div>
<?php get_footer(); ?>